Subject: Umsdos LS for Msdos
From: [email-masked] (GLAUDE DAVID)
Date: 22 Feb 1994 18:43:14 GMT
Newsgroups: comp.os.linux.announce

[umsdos is an FS for Linux that will allow you to access Linux files from
within an MS-DOS filesystem. --mdw]

This is the announce of the first release of "ls.exe" for Umsdos.

This is one of the thing that a lot of Umsdos FS user were asking for.

It allow to read the content of an Umsdos directory and display file
 information that are in "--linux-.---" in an ls like form under Msdos.

It should work on both Umsdos 0.1, 0.2 and future version if they stay
 compatible. (not on version 0.0 but who is still ussing it ?)

This is version 0.2 to match current version number of Umsdos FS.
It should be available on sunsite.unc.edu in a directory close to
 /pub/Linux/ALPHA/umsdos under the name ums02ls.zip.
Full source code and a compiled version inside.

It is distributed under ".zip" format because it is an Msdos program.
Distributed under GNU GENERAL PUBLIC LICENCE because I use getopt and alloca.

Full detail of what as been implemented in this version in the file "ls.doc".
Full option description in your ls man page.

				Glaude David [Glu] [email-masked]

Help information displayed by "ls.exe -h":

LS.EXE to display Linux information of UMSDOS File Systeme.
Made by Glaude David ([email-masked]) [Glu]
A lot of code taken from UMSDOS FS made by Jacques Gelinas
Some code hacked from The GNU C Library
This is ls Version 0.2
Made for UMSDOS Version 0.2

Option implemented     -1acghklnprstuABDFMNOX
       by default      -d
       not implemented -mwxCILRST see doc for description.

PS: I had trouble to upload it so the name is "ums02LS.zip"
-- 
	Try Linux without formating your disk, use UMSDOS FS.
type "finger [email-masked]" for a signature! I speak French.